Bug 100351 - [LOCALIZATION] String "National security" not in Pootle
Summary: [LOCALIZATION] String "National security" not in Pootle
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0 target:5.2.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-13 10:59 UTC by Olivier Hallot
Modified: 2016-10-25 18:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2016-06-13 10:59:03 UTC
The string "National security" in

sfx2/source/view/view.src

has not been brought to pootle.

Perhaps a misplaced semicolon in the file:

String STR_CLASSIFIED_NATIONAL_SECURITY
{
    Text [ en-US ] = "National Security:" ;
}

;
String STR_CLASSIFIED_EXPORT_CONTROL
{
    Text [ en-US ] = "Export Control:" ;
};


I could have fixed it but I can't verify the fix.
Comment 1 Adolfo Jayme 2016-06-15 13:01:04 UTC
Push your patch anyway, since it fixes the syntax. ;-)
Comment 2 Commit Notification 2016-06-16 15:37:44 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee24e7f2b689bf0f63ba618fc7ee7ac6bc644172

tdf#100351 attempt to fix untranslatable string

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Christian Lohmaier 2016-07-20 09:26:17 UTC
..and next time remember to also cherry-pick to release branches :-)
Comment 4 Commit Notification 2016-07-20 09:26:27 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cdeb0ad7712ba8b16077ac72ed74d743713f2e2e&h=libreoffice-5-2-0

tdf#100351 attempt to fix untranslatable string

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-07-20 09:27:51 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7abca37660487336e6da123bd13f8f9e0ef9e4a7&h=libreoffice-5-2

tdf#100351 attempt to fix untranslatable string

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Adolfo Jayme 2016-07-21 09:04:25 UTC
The string is now in Pootle
Comment 7 Commit Notification 2016-07-22 16:41:40 UTC Comment hidden (off-topic, wrong-bug-id)
Comment 8 Commit Notification 2016-07-22 22:20:31 UTC Comment hidden (off-topic, wrong-bug-id)